#
# spec file for package xray (Version 98.5.7)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp gppshare libgpp lthreads mmcore mmbase mmslib xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xray
Release:      3
Copyright:    Helmut Fahrion
Group: 
Provides:     xray 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      98.5.7
Summary:      XRay
Source: xray.tar.gz
Patch: xray.dif
%description
XRay is a program in which you can visualize 3D bodies with various
optical properties. It can handle objects such as polygons, spheres,
ellipsoids and torii. This tool uses the following light sources:
point, ray and surface.
You can represent your data using the following algorithms: z-buffer,
raytracing, enhanced radiosity or a two phase method.
The package contains two main programs. One generates the scene, and
the other is the user interface for the raytracer.
If you have installed the linuxthread package, you can use the
mulithreaded version.
Before starting please read the documentation in
/usr/doc/packages/xray/doku/ .
The documentation in PostScript format is in the package xrayps.tgz.

Authors:
--------
    Helmut Fahrion <hf@suse.de>

%package -n xrayps
Summary:      XRay PostScript Documentation
Group:
%description -n xrayps
This ist the documentation for XRay in PostScript format. This package
is very large, 100Mb. Please install this package only if you want
to print the documentation in book form.

Authors:
--------
    Helmut Fahrion <hf@suse.de>

%prep
%setup -n xray
%patch
%build
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make -C src all
mv bin/cadtool bin/cadtool.SuSE-dynamic
mv bin/datem bin/datem.SuSE-dynamic
mv bin/quick bin/quick.SuSE-dynamic
mv bin/raywin bin/raywin.SuSE-dynamic
mv bin/raywin_t bin/raywin_t.SuSE-dynamic
mv bin/startm bin/startm.SuSE-dynamic
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking static
make -C src all
mv bin/cadtool bin/cadtool.SuSE-static
mv bin/datem bin/datem.SuSE-static
mv bin/quick bin/quick.SuSE-static
mv bin/raywin bin/raywin.SuSE-static
mv bin/raywin_t bin/raywin_t.SuSE-static
mv bin/startm bin/startm.SuSE-static
%install
install -m 755 bin/* /usr/X11R6/bin
ln -sf cadtool.SuSE-static /usr/X11R6/bin/cadtool
ln -sf datem.SuSE-static /usr/X11R6/bin/datem
ln -sf quick.SuSE-static /usr/X11R6/bin/quick
ln -sf raywin.SuSE-static /usr/X11R6/bin/raywin
ln -sf raywin_t.SuSE-static /usr/X11R6/bin/raywin_t
ln -sf startm.SuSE-static /usr/X11R6/bin/startm
install -m 644 lib/Quick    /usr/X11R6/lib/X11/app-defaults
install -m 644 lib/Raywin   /usr/X11R6/lib/X11/app-defaults
install -m 644 lib/XMCad    /usr/X11R6/lib/X11/app-defaults
install -m 644 lib/XMDate   /usr/X11R6/lib/X11/app-defaults
install -m 644 lib/XMStart  /usr/X11R6/lib/X11/app-defaults
install -d /usr/X11R6/include/X11/3dpixmaps/normal
install -m 644 lib/w3w.xpm  /usr/X11R6/include/X11/3dpixmaps/normal
install -d /opt
cp -a opt/bilder /opt
install -d /usr/doc/packages/xray
cp -rf doku /usr/doc/packages/xray
cp -rf dias /usr/doc/packages/xray
cp -rf data /usr/doc/packages/xray
cp -a LIESMICH PLAENE /usr/doc/packages/xray
Check
%files
/usr/X11R6/bin/Quick
/usr/X11R6/bin/asc2eph
/usr/X11R6/bin/cad_doku
/usr/X11R6/bin/cad_liesmich
/usr/X11R6/bin/cad_mosaic
/usr/X11R6/bin/cad_radiosity
/usr/X11R6/bin/cadtool
/usr/X11R6/bin/cadtool.SuSE-static
/usr/X11R6/bin/cadtool.SuSE-dynamic
/usr/X11R6/bin/datem
/usr/X11R6/bin/datem.SuSE-static
/usr/X11R6/bin/datem.SuSE-dynamic
/usr/X11R6/bin/killname
/usr/X11R6/bin/mandel
/usr/X11R6/bin/mandel_t
/usr/X11R6/bin/quick
/usr/X11R6/bin/quick.SuSE-static
/usr/X11R6/bin/quick.SuSE-dynamic
/usr/X11R6/bin/ray_doku
/usr/X11R6/bin/raywin
/usr/X11R6/bin/raywin.SuSE-static
/usr/X11R6/bin/raywin.SuSE-dynamic
/usr/X11R6/bin/raywin_t
/usr/X11R6/bin/raywin_t.SuSE-static
/usr/X11R6/bin/raywin_t.SuSE-dynamic
/usr/X11R6/bin/rp2gif
/usr/X11R6/bin/rp2ppm
/usr/X11R6/bin/rquick
/usr/X11R6/bin/show_d
/usr/X11R6/bin/star_start
/usr/X11R6/bin/start_ray
/usr/X11R6/bin/startbg
/usr/X11R6/bin/startbg3d
/usr/X11R6/bin/startm
/usr/X11R6/bin/startm.SuSE-static
/usr/X11R6/bin/startm.SuSE-dynamic
/usr/X11R6/bin/testeph
/usr/X11R6/bin/xbild
/usr/X11R6/bin/xrand
/usr/X11R6/include/X11/3dpixmaps/normal/w3w.xpm
%config /usr/X11R6/lib/X11/app-defaults/Quick
%config /usr/X11R6/lib/X11/app-defaults/Raywin
%config /usr/X11R6/lib/X11/app-defaults/XMCad
%config /usr/X11R6/lib/X11/app-defaults/XMDate
%config /usr/X11R6/lib/X11/app-defaults/XMStart
%doc /usr/doc/packages/xray/LIESMICH
%doc /usr/doc/packages/xray/PLAENE
%doc /usr/doc/packages/xray/data
%files -n xrayps
%doc /usr/doc/packages/xray/doku
%doc /usr/doc/packages/xray/dias

